package handler

import (
	"fusenapi/server/feishu-sync/internal/logic"
	"fusenapi/server/feishu-sync/internal/svc"
	"net/http"
)

func WebhookHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		// 创建一个业务逻辑层实例
		l := logic.NewWebhookLogic(r.Context(), svcCtx)
		l.Webhook(w, r)
	}
}
